# octopus-validate

> 后台表单校验工具库

### 技术选型
* typescript
* rollup

### 项目结构介绍

``` bash
├── demo
├── dist
├── scripts
└── src
   ├── strategy
   ├── validate
   └── validator

```

### API

- OcStrategy 正则类方法
- OcValidate 自定义校验类方法
- OcValidator 自定义校验库

### 本地开发

```sh
npm start
```

### 打包


```javascript

npm run build
```

### 安装使用

```
npm install --save-dev  @octopus-validate
```

### 项目中调用

- 浏览器

```html
<script src="octopus-validate.min.js"></script>
<script>
	var OcValidate = window.OcValidate;
	let {OcStrategy, OcValidate, OcValidator} = OcValidate;
</script>
```

- 项目

```javascript
import OcValidate from '@octopus-validate';
let {OcStrategy, OcValidate, OcValidator} = OcValidate;
const url = OcStrategy.url;

// 或类引用方法
import {OcStrategy, OcValidate, OcValidator} from '@octopus-validate';
```
